note

	description:

		"Event filter that removes comment events"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2003, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2012-08-22 21:54:13 +0200 (mer., 22 août 2012) $"
	revision: "$Revision: 89387 $"

class XM_NO_COMMENT_FILTER

inherit

	XM_CALLBACKS_FILTER
		redefine
			on_comment
		end

create

	make_null,
	set_next

feature -- Event(s)

	on_comment (a: STRING)
			-- Do not forward comment event.
		do
		end

end
