note

	description:

		"Singleton which does nothing"

	library: "Gobo Eiffel Pattern Library"
	copyright: "Copyright (c) 2003, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2012-08-22 21:54:13 +0200 (mer., 22 août 2012) $"
	revision: "$Revision: 89387 $"

class NULL_SINGLETON

inherit

	ANY
		export
				-- `do_nothing' is exported to NONE in SE 2.1rc1.
			{ANY} do_nothing
		end

	SHARED_NULL_SINGLETON

create

	make

feature {NONE} -- Initialization

	make
			-- Create a singleton object.
		require
			singleton_not_created: not singleton_created
		do
			singleton_cell.put (Current)
		end

invariant

	singleton_created: singleton_created
	singleton_pattern: Current = singleton

end
