note

	description:

		"Hash-code functions for HASHABLE objects, using their `hash_code' feature"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2007, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2012-08-22 21:54:13 +0200 (mer., 22 août 2012) $"
	revision: "$Revision: 89387 $"

class KL_HASHABLE_HASH_FUNCTION [G -> HASHABLE]

inherit

	KL_HASH_FUNCTION [G]

feature -- Access

	hash_code (v: G): INTEGER
			-- Hash code for `v'
		do
			Result := v.hash_code
		end

end
