note

	description:

		"Reverse comparators based on COMPARABLE"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2000-2002, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2012-08-22 21:54:13 +0200 (mer., 22 août 2012) $"
	revision: "$Revision: 89387 $"

class KL_REVERSE_COMPARABLE_COMPARATOR [G -> COMPARABLE]

inherit

	KL_COMPARABLE_COMPARATOR [G]
		redefine
			less_than
		end

create

	make

feature -- Status report

	less_than (u, v: G): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			Result := (v < u)
		end

end
