note

	description:

		"Eiffel procedure comparators by first seed"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2005, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2012-08-22 21:54:13 +0200 (mer., 22 août 2012) $"
	revision: "$Revision: 89387 $"

class ET_SEEDED_PROCEDURE_COMPARATOR

inherit

	KL_PART_COMPARATOR [ET_PROCEDURE]

create

	make

feature {NONE} -- Initialization

	make
			-- Create a new procedure comparator by first seed.
		do
		end

feature -- Status report

	less_than (u, v: ET_PROCEDURE): BOOLEAN
			-- Is `u' considered less than `v'?
		do
			Result := (u.first_seed < v.first_seed)
		end

end
